%define prefix /usr/X11R6
%define gnustep_dir %prefix/lib/GNUstep/Apps

Name:		Launch.app
Version:	0.8.3
Release:	alt3

Packager:	Alexey Voinov <voins@altlinux.ru>

Summary:	Launch.app is a small programm for executing applications
Group:		Graphical desktop/Window Maker
License: 	GPL
Url: 		http://stepmaker.sourceforge.net/launch.html
Source0: 	%name-%version.tar.bz2
Source1: 	%name.menu
source2:	%name-openurl
Patch0:		%name-0.8.3-alt-makefile.patch
Patch1:		%name-0.8.3-alt-autodock.patch
Patch2:		%name-0.8.3-alt-paths.patch
Patch3:		%name-0.8.3-alt-fonts.patch



# Automatically added by buildreq on Mon Oct 21 2002
BuildRequires: WindowMaker-devel XFree86-devel libhermes-devel libjpeg-devel libpng-devel libtiff-devel libungif-devel wmsetbg xpm-devel zlib-devel

%description 
Launch.app is a small programm for executing applications

%prep
%setup -q -n Launch
%patch -p1 -b .makefile
%patch1 -p1 -b .autodock
%patch2 -p1 -b .paths
%patch3 -p1 -b .fonts
cp %SOURCE2 openurl

%build
make PREFIX="%gnustep_dir" CFLAGS="`get-wraster-flags --cflags` -DPREFIX='\"%gnustep_dir\"'" CC=gcc SHADOW=""

%install
make PREFIX="$RPM_BUILD_ROOT%gnustep_dir" SHADOW="" install
install -p -D -m644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%doc README
%gnustep_dir/*
%_menudir/*

%changelog
* Wed Nov 20 2002 Alexey Voinov <voins@altlinux.ru> 0.8.3-alt3
- rebuilt with libwraster.so.3 and WindowMaker-0.80.2-alt1
- fonts patch added (improves look with antialiasing enabled)

* Tue Oct 22 2002 Alexey Voinov <voins@altlinux.ru> 0.8.3-alt2
- Packager fixed

* Mon Oct 21 2002 Alexey Voinov <voins@voins.program.ru> 0.8.3-alt1
- new version (0.8.3)
- makefile patch updated and renamed
- autodock patch updated and renamed
- openurl patch is now simple source
- paths patch updated and renamed
- buildreqs autoupdated

* Thu Oct 11 2001 AEN <aen@logic.ru> 0.6.5-alt4
- rebuilt with libpng.so.3

* Mon Oct  1 2001 Alexey Voinov <voins@voins.program.ru> 0.6.5-alt3
- auto buildreqs added

* Mon Oct  1 2001 Alexey Voinov <voins@voins.program.ru> 0.6.5-alt2
- menu fixed

* Fri Sep 29 2001 Alexey Voinov <voins@voins.program.ru> 0.6.5-alt1
- initial build

